<?php
/**
 * @package		Joomla.Site
 * @subpackage	mod_sp_testimonial
 * @copyright	Copyright (C) 2010 - 2013 JoomShaper. All rights reserved.
 * @license		GNU General Public License version 2 or later; 
 */

// no direct access
defined('_JEXEC') or die;
$count = count($data);

?>

<div class="sp-testimonial-wrapper <?php echo $params->get('moduleclass_sfx'); ?>">
<?php if( $count>0 ) { ?>

	<ul class="mod-sp-testimonial" id="mod-sp-testimonial">
		<?php foreach ($data as $key => $value) { ?>
			<li class="<?php echo ($key==0) ? 'active':''; ?>"><a data-toggle="tab" href="#sp-testimonial-<?php echo $key; ?>"><img src="<?php echo $value[ 'logo' ] ?>" /></a></li>
		<?php } ?>
	</ul>

	<?php foreach ($data as $key => $value) { ?>
	  <div class="tab-pane sp-box sp-rounded testimonial fade <?php echo ($key==0) ? 'in active':''; ?>" id="sp-testimonial-<?php echo $key; ?>">
	  		<div class="testimonial-meta clearfix">
	  			<img src="<?php echo $value['avatar']; ?>" alt="<?php echo $value['name']; ?>" class="img-circle avatar pull-left" />
	  			<?php echo $value['name']; ?>, <span class="muted"><?php echo $value['designation']; ?></span>
	  		</div>
	  		
	  		<p><?php echo $value['testimonial']; ?></p>
	  </div>
	<?php } ?>

	<script type="text/javascript">
	  jQuery(function ($) {
	    //$('#myTab a:last').tab('show');

$('#mod-sp-testimonial > li > a').mouseenter(function (e) {
  e.preventDefault();
   e.stopImmediatePropagation();
	//$(this).parent().find('>a').tab('hide');

	  $(this).tab('show');
	});

	  });
	</script>

<?php } else {?>
	<p class="alert alert-error">No testimonial found!! Please add some testimonials</p>
<?php } ?>
</div>